# $Revision: 1.4 $, $Date: 2011/11/02 21:27:21 $
%define		status		stable
%define		pearname	PHP_TokenStream
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Wrapper around PHP's tokenizer extension
Name:		php-phpunit-PHP_TokenStream
Version:	1.1.0
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.phpunit.de/get/%{pearname}-%{version}.tgz
# Source0-md5:	ddda8c5131ff12eb7ee7122f25dc6124
URL:		http://pear.phpunit.de/
BuildRequires:	php-channel(pear.phpunit.de)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-channel(pear.phpunit.de)
Requires:	php-ezc-ConsoleTools >= 1.6
Requires:	php-pear
Requires:	php-tokenizer
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wrapper around PHP's tokenizer extension.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_pear_dir}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/PHP_TokenStream/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/PHP/Token.php
%{php_pear_dir}/PHP/Token

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-phpunit-PHP_TokenStream.spec,v $
Revision 1.4  2011/11/02 21:27:21  glen
- up to 1.1.0

Revision 1.3  2011/02/27 14:36:31  glen
- updated to: 1.0.1

Revision 1.2  2011/02/27 12:43:58  glen
- fix url

Revision 1.1  2010/10/20 06:41:39  glen
- initial from pear make-rpm-spec
